## pugl 0~svn32%2Bdfsg0

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
WAF = ./waf

%:
	dh $@

override_dh_auto_configure:
	$(WAF) configure \
		--prefix=/usr \
		--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
		--strict \
		--debug

override_dh_auto_build:
	$(WAF)

override_dh_auto_install:
	$(WAF) install --destdir=$(CURDIR)/debian/tmp

override_dh_auto_clean:
	$(WAF) distclean
	find -name "*.pyc" -delete
	dh_auto_clean

override_dh_strip:
	dh_strip -plibpugl-0-0 --dbg-package=libpugl-dbg
	dh_strip --remaining-packages

# No tests available
override_dh_auto_test:
