=== debian/changelog ===
pugl (0~svn32+dfsg0-3) unstable; urgency=medium

  * QA upload.
  * Switch to python3 waf, and twiddle wscript. Closes: #937337
  * Add libgl-dev build-dep.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 19 Dec 2019 16:04:40 +0000

pugl (0~svn32+dfsg0-2) unstable; urgency=medium

  * QA upload.
  * Orphaning this.

 -- Alessio Treglia <alessio@debian.org>  Sat, 20 Feb 2016 21:53:40 +0000

pugl (0~svn32+dfsg0-1) unstable; urgency=low

  * Initial release. (Closes: #673906)

 -- Alessio Treglia <alessio@debian.org>  Tue, 22 May 2012 00:45:44 +0200
