=== debian/control ===
Source: pugl
Section: libs
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 3.9.3
Build-Depends:
 debhelper (>= 9),
 libgl-dev,
 libglu1-mesa-dev,
 libxt-dev,
 python3,
 xsltproc
Homepage: http://drobilla.net/software/pugl/

Package: libpugl-0-0
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Description: portable API for OpenGL graphical interfaces
 Pugl is a minimal portable API for OpenGL GUIs which supports
 embedding and is suitable for use in plugins, but can also be
 used for programs.
 .
 Pugl is vaguely similar to GLUT, but with some significant
 distinctions:
  * Minimal in scope, providing only what is necessary to draw
    and receive keyboard and mouse input.
  * No reliance on static data whatsoever, so the API can be
    used in plugins or multiple independent parts of a program.
  * Single implementation, which is small, liberally licensed
    and suitable for direct inclusion in programs if avoiding a
    library dependency is desired.
  * Support for embedding in other windows, so Pugl code can
    draw to a widget inside a larger GUI.
  * More complete support for keyboard input, including
    additional “special” keys, modifiers, and support for
    detecting individual modifier key presses.

Package: libpugl-dev
Section: libdevel
Architecture: any
Depends:
 libglu1-mesa-dev,
 libpugl-0-0 (= ${binary:Version}),
 libxt-dev,
 ${misc:Depends}
Multi-Arch: same
Description: portable API for OpenGL graphical interfaces (headers)
 Pugl is a minimal portable API for OpenGL GUIs which supports
 embedding and is suitable for use in plugins, but can also be
 used for programs.
 .
 This package provides the development files.

Package: libpugl-dbg
Section: debug
Priority: extra
Architecture: any
Depends:
 libpugl-0-0 (= ${binary:Version}),
 ${misc:Depends}
Multi-Arch: same
Description: portable API for OpenGL graphical interfaces (debugging symbols)
 Pugl is a minimal portable API for OpenGL GUIs which supports
 embedding and is suitable for use in plugins, but can also be
 used for programs.
 .
 This package provides the debugging symbols.
