=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
-WAF = ./waf
+WAF = python3 ./waf
 
 %:
 	dh $@
@@ -22,6 +22,7 @@
 override_dh_auto_clean:
 	$(WAF) distclean
 	find -name "*.pyc" -delete
+	find -name "__pycache__" | xargs rm -rf
 	dh_auto_clean
 
 override_dh_strip:
