=== debian/watch ===
# Sources are taken from upstream SVN.
